Skip to main content

CIT Online Bills Technical Requirements

This article applies to: CIT Online Bills


Browser Compatibility & Issues

Access to online bills & reports is through a web-based interface. The following browsers are officially supported by the billing solutions vendor:

  • IE 6.0 or higher (Windows only)
  • Firefox 1.0 or higher

Safari (Macintosh only) is not officially supported, but our testers on campus were generally able to use it successfully.

Was this page helpful?

Your feedback helps improve the site.

Comments?